Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Git workflow #75

Merged
merged 139 commits into from Oct 29, 2018

Conversation

@okonet
Copy link
Owner

commented Oct 13, 2016

This PR implements a custom git workflow that works as follows:

  1. Before running linters, check if there are partially stated files (i.e. both with changes in commit index and the working copy)
  2. Stash and remove from the working copy all files that aren't in the commit index
  3. Execute commands (linters and formatters) on these files
  4. Add formatters changes to index with git add (should be in the task config)
  5. Restore the stashed working copy state if all linters exit with zero code (i.e. success)
  6. Compare new commit index and working copy and apply as many formatting changes to working copy as possible. If there are conflicting hunks, drop formatter's changes. User modifications that were stashed should always take precedence over formatters.

Fixes #62

Related issues / tasks to complete

  • Handle Ctrl+C before stashing (#386)
  • Should not restore deleted files (#387)
  • Only stash/unstash if partially staged files exist. Now it only checks if unstaged files exist.
  • Handle appearance of .rej.xx files. Probably just deletion of them is okay since we don't care about conflicts and always restore user's state.

@okonet okonet force-pushed the git-worflow branch from 53af7e7 to 9fbdbc8 Oct 20, 2016

okonet added some commits Oct 20, 2016

Some progress on git workflow.
- Switched to ghooks instead of pre-commit
- Added pre and post scripts that run `git stash` and `git stash pop`
@codecov

This comment has been minimized.

Copy link

commented Mar 15, 2017

Codecov Report

Merging #75 into master will increase coverage by 0.05%.
The diff coverage is 98.31%.

Impacted file tree graph

@@            Coverage Diff             @@
##           master      #75      +/-   ##
==========================================
+ Coverage   97.94%   97.99%   +0.05%     
==========================================
  Files          12       13       +1     
  Lines         243      349     +106     
  Branches       29       43      +14     
==========================================
+ Hits          238      342     +104     
- Misses          5        7       +2
Impacted Files Coverage Δ
src/runAll.js 100% <100%> (ø) ⬆️
src/resolveTaskFn.js 100% <100%> (ø) ⬆️
src/index.js 92.5% <100%> (ø) ⬆️
src/gitWorkflow.js 97.36% <97.36%> (ø)

Continue to review full report at Codecov.

Legend - Click here to learn more
Δ = absolute <relative> (impact), ø = not affected, ? = missing data
Powered by Codecov. Last update e6a6ec6...66a3e9f. Read the comment docs.

@koddsson

This comment has been minimized.

Copy link

commented Apr 18, 2017

Hey @okonet. Is this branch safe to test out? ie. are there any glaring issues where I might lose data if I wanna check out this branch? Maybe I can help test since I'm really excited about this feature 😊

Good for another round. Most things were resolved in code.

@okonet okonet force-pushed the git-worflow branch from f570d60 to ed94335 Oct 28, 2018

@okonet okonet merged commit 9e0aa6f into master Oct 29, 2018

4 checks passed

codecov/patch 98.31% of diff hit (target 97.94%)
Details
codecov/project 97.99% (+0.05%) compared to e6a6ec6
Details
continuous-integration/appveyor/pr AppVeyor build succeeded
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details

Roadmap automation moved this from In Progress to Done Oct 29, 2018

okonet added a commit that referenced this pull request Oct 29, 2018

feat: Add support for partially staged files (#75)
Introduces support for partially staged files with the following algorithm:

1. Before running linters, check if there are partially stated files (i.e. both with changes in commit index and the working copy)
2. Stash and remove from the working copy all files that aren't in the commit index
3. Execute commands (linters and formatters) on these files
4. Add formatters changes to index (separate task in the config)
5. Restore the stashed working copy state if all linters exit with zero code (i.e. success). If there are errors running linters, restore stashed working copy.
6. Compare new commit index and working copy and apply as many formatting changes to working copy as possible. If there are conflicting hunks, drop formatter's changes. User modifications that were stashed should always take precedence over formatters.

Closes #62

BREAKING CHANGE: Node >= 8.6 is required

simonkberg added a commit to simonkberg/shebang that referenced this pull request Oct 29, 2018

chore(deps): update dependency lint-staged to v8 (#141)
This PR contains the following updates:

| Package | Type | Update | Change | References |
|---|---|---|---|---|
| lint-staged | devDependencies | major | `7.3.0` -> `8.0.0` | [source](https://renovatebot.com/gh/okonet/lint-staged) |

---

### Release Notes

<details>
<summary>okonet/lint-staged</summary>

### [`v8.0.0`](https://renovatebot.com/gh/okonet/lint-staged/releases/v8.0.0)

[Compare Source](https://renovatebot.com/gh/okonet/lint-staged/compare/v7.3.0...v8.0.0)

### [8.0.0](http://git+https/github.com/okonet/lint-staged/compare/v7.3.0...v8.0.0) (2018-10-29)

##### Features

-   Add support for partially staged files ([#&#8203;75](http://git+https/github.com/okonet/lint-staged/issues/75)) ([f82443c](http://git+https/github.com/okonet/lint-staged/commit/f82443c)), closes [#&#8203;62](http://git+https/github.com/okonet/lint-staged/issues/62)

##### BREAKING CHANGES

-   Node >= 8.6 is required

</details>

---

### Renovate configuration

📅 **Schedule**: At any time (no schedule defined).

🚦 **Automerge**: Disabled by config. Please merge this manually once you are satisfied.

♻️ **Rebasing**: Whenever PR becomes conflicted, or if you modify the PR title to begin with "`rebase!`".

🔕 **Ignore**: Close this PR and you won't be reminded about this update again.

---

This PR has been generated by [Renovate Bot](https://renovatebot.com/gh/marketplace/renovate). View repository job log [here](https://renovatebot.com/dashboard#simonkberg/shebang).

simonkberg added a commit to simonkberg/simon-kjellberg that referenced this pull request Oct 29, 2018

chore(deps): update dependency lint-staged to v8 (#184)
This PR contains the following updates:

| Package | Type | Update | Change | References |
|---|---|---|---|---|
| lint-staged | devDependencies | major | `7.3.0` -> `8.0.0` | [source](https://renovatebot.com/gh/okonet/lint-staged) |

---

### Release Notes

<details>
<summary>okonet/lint-staged</summary>

### [`v8.0.0`](https://renovatebot.com/gh/okonet/lint-staged/releases/v8.0.0)

[Compare Source](https://renovatebot.com/gh/okonet/lint-staged/compare/v7.3.0...v8.0.0)

### [8.0.0](http://git+https/github.com/okonet/lint-staged/compare/v7.3.0...v8.0.0) (2018-10-29)

##### Features

-   Add support for partially staged files ([#&#8203;75](http://git+https/github.com/okonet/lint-staged/issues/75)) ([f82443c](http://git+https/github.com/okonet/lint-staged/commit/f82443c)), closes [#&#8203;62](http://git+https/github.com/okonet/lint-staged/issues/62)

##### BREAKING CHANGES

-   Node >= 8.6 is required

</details>

---

### Renovate configuration

📅 **Schedule**: At any time (no schedule defined).

🚦 **Automerge**: Disabled by config. Please merge this manually once you are satisfied.

♻️ **Rebasing**: Whenever PR becomes conflicted, or if you modify the PR title to begin with "`rebase!`".

🔕 **Ignore**: Close this PR and you won't be reminded about this update again.

---

This PR has been generated by [Renovate Bot](https://renovatebot.com/gh/marketplace/renovate). View repository job log [here](https://renovatebot.com/dashboard#simonkberg/simon-kjellberg).

kornicameister added a commit to kornicameister/korni that referenced this pull request Oct 29, 2018

Update lint-staged in package.json from 7.2.2 to 8.0.0 (#600)
## Overview

The following dependencies have been updated by [dependencies.io](https://www.dependencies.io/):

- `lint-staged` in `package.json` from "7.2.2" to "8.0.0"

## Details

### `lint-staged`

This dependency is located in `package.json` and was updated from "7.2.2" to "8.0.0".

<details>
<summary>7.3.0</summary>

# [7.3.0](okonet/lint-staged@v7.2.2...v7.3.0) (2018-09-20)


### Features

* Allow linting files outside of project folder ([#495](https://www.dependencies.io/github-redirect/okonet/lint-staged/issues/495)) ([d386c80](okonet/lint-staged@d386c80))

</details>

<details>
<summary>8.0.0</summary>

# [8.0.0](http://git+https/github.com/okonet/lint-staged/compare/v7.3.0...v8.0.0) (2018-10-29)


### Features

* Add support for partially staged files ([#75](http://git+https/github.com/okonet/lint-staged/issues/75)) ([f82443c](http://git+https/github.com/okonet/lint-staged/commit/f82443c)), closes [#62](http://git+https/github.com/okonet/lint-staged/issues/62)


### BREAKING CHANGES

* Node >= 8.6 is required

</details>

timbru31 added a commit to timbru31/quickjira that referenced this pull request Oct 30, 2018

build(deps-dev): bump lint-staged from 7.3.0 to 8.0.3 (#42)
Bumps [lint-staged](https://github.com/okonet/lint-staged) from 7.3.0 to 8.0.3.
<details>
<summary>Release notes</summary>

*Sourced from [lint-staged's releases](https://github.com/okonet/lint-staged/releases).*

> ## v8.0.3
> ## [8.0.3](http://git+https/github.com/okonet/lint-staged/compare/v8.0.2...v8.0.3) (2018-10-30)
> 
> 
> ### Bug Fixes
> 
> * Allow to use lint-staged on CI ([#523](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/523)) ([225a904](http://git+https/github.com/okonet/lint-staged/commit/225a904))
> 
> ## v8.0.2
> ## [8.0.2](http://git+https/github.com/okonet/lint-staged/compare/v8.0.1...v8.0.2) (2018-10-29)
> 
> 
> ### Bug Fixes
> 
> * **git:** Use resolveGitDir in hasPartiallyStagedFiles ([#520](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/520)) ([af99172](http://git+https/github.com/okonet/lint-staged/commit/af99172)), closes [#514](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/514)
> 
> ## v8.0.1
> ## [8.0.1](http://git+https/github.com/okonet/lint-staged/compare/v8.0.0...v8.0.1) (2018-10-29)
> 
> 
> ### Bug Fixes
> 
> * **git:** Use resolveGitDir to resolve to .git for git commands ([#518](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/518)) ([da42f8a](http://git+https/github.com/okonet/lint-staged/commit/da42f8a)), closes [#514](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/514)
> 
> ## v8.0.0
> # [8.0.0](http://git+https/github.com/okonet/lint-staged/compare/v7.3.0...v8.0.0) (2018-10-29)
> 
> 
> ### Features
> 
> * Add support for partially staged files ([#75](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/75)) ([f82443c](http://git+https/github.com/okonet/lint-staged/commit/f82443c)), closes [#62](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/62)
> 
> 
> ### BREAKING CHANGES
> 
> * Node >= 8.6 is required
> 
> ## v7.4.0
> # [7.4.0](http://git+https/github.com/okonet/lint-staged/compare/v7.3.0...v7.4.0) (2018-10-29)
> 
> 
> ### Features
> 
> * Add support for partially staged files ([#75](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/75)) ([9e0aa6f](http://git+https/github.com/okonet/lint-staged/commit/9e0aa6f)), closes [#62](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/62)
</details>
<details>
<summary>Commits</summary>

- [`225a904`](okonet/lint-staged@225a904) fix: Allow to use lint-staged on CI ([#523](https://github-redirect.dependabot.com/okonet/lint-staged/issues/523))
- [`af99172`](okonet/lint-staged@af99172) fix(git): Use resolveGitDir in hasPartiallyStagedFiles ([#520](https://github-redirect.dependabot.com/okonet/lint-staged/issues/520))
- [`da42f8a`](okonet/lint-staged@da42f8a) fix(git): Use resolveGitDir to resolve to .git for git commands ([#518](https://github-redirect.dependabot.com/okonet/lint-staged/issues/518))
- [`592486f`](okonet/lint-staged@592486f) docs: Update readme to include info about partially staged files support
- [`f82443c`](okonet/lint-staged@f82443c) feat: Add support for partially staged files ([#75](https://github-redirect.dependabot.com/okonet/lint-staged/issues/75))
- [`e6a6ec6`](okonet/lint-staged@e6a6ec6) chore: upgrade to jest 23 ([#507](https://github-redirect.dependabot.com/okonet/lint-staged/issues/507))
- [`f05ada6`](okonet/lint-staged@f05ada6) docs: Add an example for type checking with flow ([#502](https://github-redirect.dependabot.com/okonet/lint-staged/issues/502))
- [`bcd0af4`](okonet/lint-staged@bcd0af4) docs: Add SurviveJS link
- [`d782fa1`](okonet/lint-staged@d782fa1) docs: Update documentation for husky 1.0 ([#496](https://github-redirect.dependabot.com/okonet/lint-staged/issues/496))
- See full diff in [compare view](okonet/lint-staged@v7.3.0...v8.0.3)
</details>
<br />

[![Dependabot compatibility score](https://api.dependabot.com/badges/compatibility_score?dependency-name=lint-staged&package-manager=npm_and_yarn&previous-version=7.3.0&new-version=8.0.3)](https://dependabot.com/compatibility-score.html?dependency-name=lint-staged&package-manager=npm_and_yarn&previous-version=7.3.0&new-version=8.0.3)

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting `@dependabot rebase`.

Dependabot will **not** automatically merge this PR because it includes an out-of-range update to a development dependency.

---

<details>
<summary>Dependabot commands and options</summary>
<br />

You can trigger Dependabot actions by commenting on this PR:
- `@dependabot rebase` will rebase this PR
- `@dependabot recreate` will recreate this PR, overwriting any edits that have been made to it
- `@dependabot merge` will merge this PR after your CI passes on it
- `@dependabot cancel merge` will cancel a previously requested merge
- `@dependabot reopen` will reopen this PR if it is closed
- `@dependabot ignore this [patch|minor|major] version` will close this PR and stop Dependabot creating any more for this minor/major version (unless you reopen the PR or upgrade to it yourself)
- `@dependabot ignore this dependency` will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
- `@dependabot use these labels` will set the current labels as the default for future PRs for this repo and language
- `@dependabot use these reviewers` will set the current reviewers as the default for future PRs for this repo and language
- `@dependabot use these assignees` will set the current assignees as the default for future PRs for this repo and language
- `@dependabot use this milestone` will set the current milestone as the default for future PRs for this repo and language
- `@dependabot badge me` will comment on this PR with code to add a "Dependabot enabled" badge to your readme

Additionally, you can set the following in your Dependabot [dashboard](https://app.dependabot.com):
- Update frequency (including time of day and day of week)
- Automerge options (never/patch/minor, and dev/runtime dependencies)
- Pull request limits (per update run and/or open at any time)
- Out-of-range updates (receive only lockfile updates, if desired)
- Security updates (receive only security updates, if desired)

Finally, you can contact us by mentioning @dependabot.

</details>

lipis added a commit to lipis/prettier-setup that referenced this pull request Oct 31, 2018

Bump lint-staged from 7.3.0 to 8.0.3 (#97)
Bumps [lint-staged](https://github.com/okonet/lint-staged) from 7.3.0 to 8.0.3.
<details>
<summary>Release notes</summary>

*Sourced from [lint-staged's releases](https://github.com/okonet/lint-staged/releases).*

> ## v8.0.3
> ## [8.0.3](http://git+https/github.com/okonet/lint-staged/compare/v8.0.2...v8.0.3) (2018-10-30)
> 
> 
> ### Bug Fixes
> 
> * Allow to use lint-staged on CI ([#523](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/523)) ([225a904](http://git+https/github.com/okonet/lint-staged/commit/225a904))
> 
> ## v8.0.2
> ## [8.0.2](http://git+https/github.com/okonet/lint-staged/compare/v8.0.1...v8.0.2) (2018-10-29)
> 
> 
> ### Bug Fixes
> 
> * **git:** Use resolveGitDir in hasPartiallyStagedFiles ([#520](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/520)) ([af99172](http://git+https/github.com/okonet/lint-staged/commit/af99172)), closes [#514](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/514)
> 
> ## v8.0.1
> ## [8.0.1](http://git+https/github.com/okonet/lint-staged/compare/v8.0.0...v8.0.1) (2018-10-29)
> 
> 
> ### Bug Fixes
> 
> * **git:** Use resolveGitDir to resolve to .git for git commands ([#518](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/518)) ([da42f8a](http://git+https/github.com/okonet/lint-staged/commit/da42f8a)), closes [#514](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/514)
> 
> ## v8.0.0
> # [8.0.0](http://git+https/github.com/okonet/lint-staged/compare/v7.3.0...v8.0.0) (2018-10-29)
> 
> 
> ### Features
> 
> * Add support for partially staged files ([#75](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/75)) ([f82443c](http://git+https/github.com/okonet/lint-staged/commit/f82443c)), closes [#62](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/62)
> 
> 
> ### BREAKING CHANGES
> 
> * Node >= 8.6 is required
> 
> ## v7.4.0
> # [7.4.0](http://git+https/github.com/okonet/lint-staged/compare/v7.3.0...v7.4.0) (2018-10-29)
> 
> 
> ### Features
> 
> * Add support for partially staged files ([#75](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/75)) ([9e0aa6f](http://git+https/github.com/okonet/lint-staged/commit/9e0aa6f)), closes [#62](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/62)
</details>
<details>
<summary>Commits</summary>

- [`225a904`](okonet/lint-staged@225a904) fix: Allow to use lint-staged on CI ([#523](https://github-redirect.dependabot.com/okonet/lint-staged/issues/523))
- [`af99172`](okonet/lint-staged@af99172) fix(git): Use resolveGitDir in hasPartiallyStagedFiles ([#520](https://github-redirect.dependabot.com/okonet/lint-staged/issues/520))
- [`da42f8a`](okonet/lint-staged@da42f8a) fix(git): Use resolveGitDir to resolve to .git for git commands ([#518](https://github-redirect.dependabot.com/okonet/lint-staged/issues/518))
- [`592486f`](okonet/lint-staged@592486f) docs: Update readme to include info about partially staged files support
- [`f82443c`](okonet/lint-staged@f82443c) feat: Add support for partially staged files ([#75](https://github-redirect.dependabot.com/okonet/lint-staged/issues/75))
- [`e6a6ec6`](okonet/lint-staged@e6a6ec6) chore: upgrade to jest 23 ([#507](https://github-redirect.dependabot.com/okonet/lint-staged/issues/507))
- [`f05ada6`](okonet/lint-staged@f05ada6) docs: Add an example for type checking with flow ([#502](https://github-redirect.dependabot.com/okonet/lint-staged/issues/502))
- [`bcd0af4`](okonet/lint-staged@bcd0af4) docs: Add SurviveJS link
- [`d782fa1`](okonet/lint-staged@d782fa1) docs: Update documentation for husky 1.0 ([#496](https://github-redirect.dependabot.com/okonet/lint-staged/issues/496))
- See full diff in [compare view](okonet/lint-staged@v7.3.0...v8.0.3)
</details>
<br />

[![Dependabot compatibility score](https://api.dependabot.com/badges/compatibility_score?dependency-name=lint-staged&package-manager=npm_and_yarn&previous-version=7.3.0&new-version=8.0.3)](https://dependabot.com/compatibility-score.html?dependency-name=lint-staged&package-manager=npm_and_yarn&previous-version=7.3.0&new-version=8.0.3)

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting `@dependabot rebase`.

---

<details>
<summary>Dependabot commands and options</summary>
<br />

You can trigger Dependabot actions by commenting on this PR:
- `@dependabot rebase` will rebase this PR
- `@dependabot recreate` will recreate this PR, overwriting any edits that have been made to it
- `@dependabot merge` will merge this PR after your CI passes on it
- `@dependabot cancel merge` will cancel a previously requested merge
- `@dependabot reopen` will reopen this PR if it is closed
- `@dependabot ignore this [patch|minor|major] version` will close this PR and stop Dependabot creating any more for this minor/major version (unless you reopen the PR or upgrade to it yourself)
- `@dependabot ignore this dependency` will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
- `@dependabot use these labels` will set the current labels as the default for future PRs for this repo and language
- `@dependabot use these reviewers` will set the current reviewers as the default for future PRs for this repo and language
- `@dependabot use these assignees` will set the current assignees as the default for future PRs for this repo and language
- `@dependabot use this milestone` will set the current milestone as the default for future PRs for this repo and language
- `@dependabot badge me` will comment on this PR with code to add a "Dependabot enabled" badge to your readme

Additionally, you can set the following in your Dependabot [dashboard](https://app.dependabot.com):
- Update frequency (including time of day and day of week)
- Automerge options (never/patch/minor, and dev/runtime dependencies)
- Pull request limits (per update run and/or open at any time)
- Out-of-range updates (receive only lockfile updates, if desired)
- Security updates (receive only security updates, if desired)

Finally, you can contact us by mentioning @dependabot.

</details>

lipis added a commit to gae-init/gae-init-docs that referenced this pull request Oct 31, 2018

Bump lint-staged from 7.2.0 to 8.0.4 (#267)
Bumps [lint-staged](https://github.com/okonet/lint-staged) from 7.2.0 to 8.0.4.
<details>
<summary>Release notes</summary>

*Sourced from [lint-staged's releases](https://github.com/okonet/lint-staged/releases).*

> ## v8.0.4
> ## [8.0.4](http://git+https/github.com/okonet/lint-staged/compare/v8.0.3...v8.0.4) (2018-10-31)
> 
> 
> ### Bug Fixes
> 
> * **package:** update staged-git-files to version 1.1.2 ([ce434d3](http://git+https/github.com/okonet/lint-staged/commit/ce434d3))
> 
> ## v8.0.3
> ## [8.0.3](http://git+https/github.com/okonet/lint-staged/compare/v8.0.2...v8.0.3) (2018-10-30)
> 
> 
> ### Bug Fixes
> 
> * Allow to use lint-staged on CI ([#523](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/523)) ([225a904](http://git+https/github.com/okonet/lint-staged/commit/225a904))
> 
> ## v8.0.2
> ## [8.0.2](http://git+https/github.com/okonet/lint-staged/compare/v8.0.1...v8.0.2) (2018-10-29)
> 
> 
> ### Bug Fixes
> 
> * **git:** Use resolveGitDir in hasPartiallyStagedFiles ([#520](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/520)) ([af99172](http://git+https/github.com/okonet/lint-staged/commit/af99172)), closes [#514](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/514)
> 
> ## v8.0.1
> ## [8.0.1](http://git+https/github.com/okonet/lint-staged/compare/v8.0.0...v8.0.1) (2018-10-29)
> 
> 
> ### Bug Fixes
> 
> * **git:** Use resolveGitDir to resolve to .git for git commands ([#518](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/518)) ([da42f8a](http://git+https/github.com/okonet/lint-staged/commit/da42f8a)), closes [#514](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/514)
> 
> ## v8.0.0
> # [8.0.0](http://git+https/github.com/okonet/lint-staged/compare/v7.3.0...v8.0.0) (2018-10-29)
> 
> 
> ### Features
> 
> * Add support for partially staged files ([#75](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/75)) ([f82443c](http://git+https/github.com/okonet/lint-staged/commit/f82443c)), closes [#62](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/62)
> 
> 
> ### BREAKING CHANGES
> 
> * Node >= 8.6 is required
> 
> ## v7.4.0
> # [7.4.0](http://git+https/github.com/okonet/lint-staged/compare/v7.3.0...v7.4.0) (2018-10-29)
> 
> 
> ### Features
></table> ... (truncated)
</details>
<details>
<summary>Commits</summary>

- [`5e165a3`](okonet/lint-staged@5e165a3) Merge pull request [#513](https://github-redirect.dependabot.com/okonet/lint-staged/issues/513) from okonet/greenkeeper/staged-git-files-1.1.2
- [`07fd087`](okonet/lint-staged@07fd087) Merge branch 'master' into greenkeeper/staged-git-files-1.1.2
- [`00047de`](okonet/lint-staged@00047de) docs: fix typo ([#527](https://github-redirect.dependabot.com/okonet/lint-staged/issues/527))
- [`bedba5a`](okonet/lint-staged@bedba5a) refactor: Use object spread ([#524](https://github-redirect.dependabot.com/okonet/lint-staged/issues/524))
- [`225a904`](okonet/lint-staged@225a904) fix: Allow to use lint-staged on CI ([#523](https://github-redirect.dependabot.com/okonet/lint-staged/issues/523))
- [`af99172`](okonet/lint-staged@af99172) fix(git): Use resolveGitDir in hasPartiallyStagedFiles ([#520](https://github-redirect.dependabot.com/okonet/lint-staged/issues/520))
- [`da42f8a`](okonet/lint-staged@da42f8a) fix(git): Use resolveGitDir to resolve to .git for git commands ([#518](https://github-redirect.dependabot.com/okonet/lint-staged/issues/518))
- [`c4e8a2d`](okonet/lint-staged@c4e8a2d) chore(package): update lockfile yarn.lock
- [`ce434d3`](okonet/lint-staged@ce434d3) fix(package): update staged-git-files to version 1.1.2
- [`592486f`](okonet/lint-staged@592486f) docs: Update readme to include info about partially staged files support
- Additional commits viewable in [compare view](okonet/lint-staged@v7.2.0...v8.0.4)
</details>
<br />

[![Dependabot compatibility score](https://api.dependabot.com/badges/compatibility_score?dependency-name=lint-staged&package-manager=npm_and_yarn&previous-version=7.2.0&new-version=8.0.4)](https://dependabot.com/compatibility-score.html?dependency-name=lint-staged&package-manager=npm_and_yarn&previous-version=7.2.0&new-version=8.0.4)

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting `@dependabot rebase`.

---

<details>
<summary>Dependabot commands and options</summary>
<br />

You can trigger Dependabot actions by commenting on this PR:
- `@dependabot rebase` will rebase this PR
- `@dependabot recreate` will recreate this PR, overwriting any edits that have been made to it
- `@dependabot merge` will merge this PR after your CI passes on it
- `@dependabot cancel merge` will cancel a previously requested merge
- `@dependabot reopen` will reopen this PR if it is closed
- `@dependabot ignore this [patch|minor|major] version` will close this PR and stop Dependabot creating any more for this minor/major version (unless you reopen the PR or upgrade to it yourself)
- `@dependabot ignore this dependency` will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
- `@dependabot use these labels` will set the current labels as the default for future PRs for this repo and language
- `@dependabot use these reviewers` will set the current reviewers as the default for future PRs for this repo and language
- `@dependabot use these assignees` will set the current assignees as the default for future PRs for this repo and language
- `@dependabot use this milestone` will set the current milestone as the default for future PRs for this repo and language
- `@dependabot badge me` will comment on this PR with code to add a "Dependabot enabled" badge to your readme

Additionally, you can set the following in your Dependabot [dashboard](https://app.dependabot.com):
- Update frequency (including time of day and day of week)
- Automerge options (never/patch/minor, and dev/runtime dependencies)
- Pull request limits (per update run and/or open at any time)
- Out-of-range updates (receive only lockfile updates, if desired)
- Security updates (receive only security updates, if desired)

Finally, you can contact us by mentioning @dependabot.

</details>

kaisermann added a commit to stone-payments/pos-mamba-app-template that referenced this pull request Oct 31, 2018

Update lint-staged to the latest version 🚀 (#22)
## The devDependency [lint-staged](https://github.com/okonet/lint-staged) was updated from `7.3.0` to `8.0.0`.
This version is **not covered** by your **current version range**.

If you don’t accept this pull request, your project will work just like it did before. However, you might be missing out on a bunch of new features, fixes and/or performance improvements from the dependency update.

---

<details>
<summary>Release Notes for v8.0.0</summary>

<h1><a href="http://git+https/github.com/okonet/lint-staged/compare/v7.3.0...v8.0.0" rel="nofollow">8.0.0</a> (2018-10-29)</h1>
<h3>Features</h3>
<ul>
<li>Add support for partially staged files (<a href="http://git+https/github.com/okonet/lint-staged/issues/75" rel="nofollow">#75</a>) (<a href="http://git+https/github.com/okonet/lint-staged/commit/f82443c" rel="nofollow">f82443c</a>), closes <a href="http://git+https/github.com/okonet/lint-staged/issues/62" rel="nofollow">#62</a></li>
</ul>
<h3>BREAKING CHANGES</h3>
<ul>
<li>Node &gt;= 8.6 is required</li>
</ul>
</details>

<details>
<summary>Commits</summary>
<p>The new version differs by 5 commits.</p>
<ul>
<li><a href="https://urls.greenkeeper.io/okonet/lint-staged/commit/f82443c7f7b147aae11e65a797b280ce375c8515"><code>f82443c</code></a> <code>feat: Add support for partially staged files (#75)</code></li>
<li><a href="https://urls.greenkeeper.io/okonet/lint-staged/commit/e6a6ec66af26a4fa505279fac937f076687777e7"><code>e6a6ec6</code></a> <code>chore: upgrade to jest 23 (#507)</code></li>
<li><a href="https://urls.greenkeeper.io/okonet/lint-staged/commit/f05ada6c8f5190999df1ac036fcc647dc9ca624e"><code>f05ada6</code></a> <code>docs: Add an example for type checking with flow (#502)</code></li>
<li><a href="https://urls.greenkeeper.io/okonet/lint-staged/commit/bcd0af4467a6da98ab4f115f5a0b987030e7c93c"><code>bcd0af4</code></a> <code>docs: Add SurviveJS link</code></li>
<li><a href="https://urls.greenkeeper.io/okonet/lint-staged/commit/d782fa199855ffac533b8dc8822e01d3fee4673a"><code>d782fa1</code></a> <code>docs: Update documentation for husky 1.0 (#496)</code></li>
</ul>
<p>See the <a href="https://urls.greenkeeper.io/okonet/lint-staged/compare/d386c802b42f8e374090b1f9c58e4b60531d30ff...f82443c7f7b147aae11e65a797b280ce375c8515">full diff</a></p>
</details>

<details>
  <summary>FAQ and help</summary>

  There is a collection of [frequently asked questions](https://greenkeeper.io/faq.html). If those don’t help, you can always [ask the humans behind Greenkeeper](https://github.com/greenkeeperio/greenkeeper/issues/new).
</details>

---


Your [Greenkeeper](https://greenkeeper.io) bot 🌴

nfantone added a commit to nfantone/amqp-uri that referenced this pull request Oct 31, 2018

Update lint-staged to the latest version 🚀 (#50)
## The devDependency [lint-staged](https://github.com/okonet/lint-staged) was updated from `7.3.0` to `8.0.0`.
This version is **not covered** by your **current version range**.

If you don’t accept this pull request, your project will work just like it did before. However, you might be missing out on a bunch of new features, fixes and/or performance improvements from the dependency update.

---

<details>
<summary>Release Notes for v8.0.0</summary>

<h1><a href="http://git+https/github.com/okonet/lint-staged/compare/v7.3.0...v8.0.0" rel="nofollow">8.0.0</a> (2018-10-29)</h1>
<h3>Features</h3>
<ul>
<li>Add support for partially staged files (<a href="http://git+https/github.com/okonet/lint-staged/issues/75" rel="nofollow">#75</a>) (<a href="http://git+https/github.com/okonet/lint-staged/commit/f82443c" rel="nofollow">f82443c</a>), closes <a href="http://git+https/github.com/okonet/lint-staged/issues/62" rel="nofollow">#62</a></li>
</ul>
<h3>BREAKING CHANGES</h3>
<ul>
<li>Node &gt;= 8.6 is required</li>
</ul>
</details>

<details>
<summary>Commits</summary>
<p>The new version differs by 5 commits.</p>
<ul>
<li><a href="https://urls.greenkeeper.io/okonet/lint-staged/commit/f82443c7f7b147aae11e65a797b280ce375c8515"><code>f82443c</code></a> <code>feat: Add support for partially staged files (#75)</code></li>
<li><a href="https://urls.greenkeeper.io/okonet/lint-staged/commit/e6a6ec66af26a4fa505279fac937f076687777e7"><code>e6a6ec6</code></a> <code>chore: upgrade to jest 23 (#507)</code></li>
<li><a href="https://urls.greenkeeper.io/okonet/lint-staged/commit/f05ada6c8f5190999df1ac036fcc647dc9ca624e"><code>f05ada6</code></a> <code>docs: Add an example for type checking with flow (#502)</code></li>
<li><a href="https://urls.greenkeeper.io/okonet/lint-staged/commit/bcd0af4467a6da98ab4f115f5a0b987030e7c93c"><code>bcd0af4</code></a> <code>docs: Add SurviveJS link</code></li>
<li><a href="https://urls.greenkeeper.io/okonet/lint-staged/commit/d782fa199855ffac533b8dc8822e01d3fee4673a"><code>d782fa1</code></a> <code>docs: Update documentation for husky 1.0 (#496)</code></li>
</ul>
<p>See the <a href="https://urls.greenkeeper.io/okonet/lint-staged/compare/d386c802b42f8e374090b1f9c58e4b60531d30ff...f82443c7f7b147aae11e65a797b280ce375c8515">full diff</a></p>
</details>

<details>
  <summary>FAQ and help</summary>

  There is a collection of [frequently asked questions](https://greenkeeper.io/faq.html). If those don’t help, you can always [ask the humans behind Greenkeeper](https://github.com/greenkeeperio/greenkeeper/issues/new).
</details>

---


Your [Greenkeeper](https://greenkeeper.io) bot 🌴

WilcoFiers added a commit to dequelabs/axe-webdriverjs that referenced this pull request Nov 1, 2018

chore: Update lint-staged to the latest version 🚀 (#81)
## The devDependency [lint-staged](https://github.com/okonet/lint-staged) was updated from `7.3.0` to `8.0.0`.
This version is **not covered** by your **current version range**.

If you don’t accept this pull request, your project will work just like it did before. However, you might be missing out on a bunch of new features, fixes and/or performance improvements from the dependency update.

---

<details>
<summary>Release Notes for v8.0.0</summary>

<h1><a href="http://git+https/github.com/okonet/lint-staged/compare/v7.3.0...v8.0.0" rel="nofollow">8.0.0</a> (2018-10-29)</h1>
<h3>Features</h3>
<ul>
<li>Add support for partially staged files (<a href="http://git+https/github.com/okonet/lint-staged/issues/75" rel="nofollow">#75</a>) (<a href="http://git+https/github.com/okonet/lint-staged/commit/f82443c" rel="nofollow">f82443c</a>), closes <a href="http://git+https/github.com/okonet/lint-staged/issues/62" rel="nofollow">#62</a></li>
</ul>
<h3>BREAKING CHANGES</h3>
<ul>
<li>Node &gt;= 8.6 is required</li>
</ul>
</details>

<details>
<summary>Commits</summary>
<p>The new version differs by 5 commits.</p>
<ul>
<li><a href="https://urls.greenkeeper.io/okonet/lint-staged/commit/f82443c7f7b147aae11e65a797b280ce375c8515"><code>f82443c</code></a> <code>feat: Add support for partially staged files (#75)</code></li>
<li><a href="https://urls.greenkeeper.io/okonet/lint-staged/commit/e6a6ec66af26a4fa505279fac937f076687777e7"><code>e6a6ec6</code></a> <code>chore: upgrade to jest 23 (#507)</code></li>
<li><a href="https://urls.greenkeeper.io/okonet/lint-staged/commit/f05ada6c8f5190999df1ac036fcc647dc9ca624e"><code>f05ada6</code></a> <code>docs: Add an example for type checking with flow (#502)</code></li>
<li><a href="https://urls.greenkeeper.io/okonet/lint-staged/commit/bcd0af4467a6da98ab4f115f5a0b987030e7c93c"><code>bcd0af4</code></a> <code>docs: Add SurviveJS link</code></li>
<li><a href="https://urls.greenkeeper.io/okonet/lint-staged/commit/d782fa199855ffac533b8dc8822e01d3fee4673a"><code>d782fa1</code></a> <code>docs: Update documentation for husky 1.0 (#496)</code></li>
</ul>
<p>See the <a href="https://urls.greenkeeper.io/okonet/lint-staged/compare/d386c802b42f8e374090b1f9c58e4b60531d30ff...f82443c7f7b147aae11e65a797b280ce375c8515">full diff</a></p>
</details>

<details>
  <summary>FAQ and help</summary>

  There is a collection of [frequently asked questions](https://greenkeeper.io/faq.html). If those don’t help, you can always [ask the humans behind Greenkeeper](https://github.com/greenkeeperio/greenkeeper/issues/new).
</details>

---


Your [Greenkeeper](https://greenkeeper.io) bot 🌴
"listr": "^0.14.1",
"listr": "^0.14.2",
"listr-update-renderer":
"https://github.com/okonet/listr-update-renderer/tarball/upgrade-log-update",

This comment has been minimized.

Copy link
@koggdal

koggdal Nov 5, 2018

Hi, would it be possible to get this released as a version on npm instead of depending on it through a loose git branch?

This comment has been minimized.

Copy link
@eaviles

eaviles Nov 8, 2018

Having issues to install anything that depends on lint-staged now. We are behind a corporate proxy here.

This comment has been minimized.

Copy link
@joeljeske

joeljeske Nov 12, 2018

Please use a npm published version!

@trusktr

This comment has been minimized.

Copy link

commented on test/gitStash.spec.js in da2adf9 Nov 7, 2018

Where'd the deleted file go? Is gitStashSave doing same as what git stash save does? If so, I expect the deleted file to be there when popping the stash.

This comment has been minimized.

Copy link
Owner Author

replied Nov 7, 2018

Feel free to dig deeper and propose a PR

u3u added a commit to u3u/prettier-eslint-check that referenced this pull request Nov 9, 2018

Bump lint-staged from 7.3.0 to 8.0.4 (#44)
Bumps [lint-staged](https://github.com/okonet/lint-staged) from 7.3.0 to 8.0.4.
<details>
<summary>Release notes</summary>

*Sourced from [lint-staged's releases](https://github.com/okonet/lint-staged/releases).*

> ## v8.0.4
> ## [8.0.4](http://git+https/github.com/okonet/lint-staged/compare/v8.0.3...v8.0.4) (2018-10-31)
> 
> 
> ### Bug Fixes
> 
> * **package:** update staged-git-files to version 1.1.2 ([ce434d3](http://git+https/github.com/okonet/lint-staged/commit/ce434d3))
> 
> ## v8.0.3
> ## [8.0.3](http://git+https/github.com/okonet/lint-staged/compare/v8.0.2...v8.0.3) (2018-10-30)
> 
> 
> ### Bug Fixes
> 
> * Allow to use lint-staged on CI ([#523](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/523)) ([225a904](http://git+https/github.com/okonet/lint-staged/commit/225a904))
> 
> ## v8.0.2
> ## [8.0.2](http://git+https/github.com/okonet/lint-staged/compare/v8.0.1...v8.0.2) (2018-10-29)
> 
> 
> ### Bug Fixes
> 
> * **git:** Use resolveGitDir in hasPartiallyStagedFiles ([#520](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/520)) ([af99172](http://git+https/github.com/okonet/lint-staged/commit/af99172)), closes [#514](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/514)
> 
> ## v8.0.1
> ## [8.0.1](http://git+https/github.com/okonet/lint-staged/compare/v8.0.0...v8.0.1) (2018-10-29)
> 
> 
> ### Bug Fixes
> 
> * **git:** Use resolveGitDir to resolve to .git for git commands ([#518](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/518)) ([da42f8a](http://git+https/github.com/okonet/lint-staged/commit/da42f8a)), closes [#514](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/514)
> 
> ## v8.0.0
> # [8.0.0](http://git+https/github.com/okonet/lint-staged/compare/v7.3.0...v8.0.0) (2018-10-29)
> 
> 
> ### Features
> 
> * Add support for partially staged files ([#75](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/75)) ([f82443c](http://git+https/github.com/okonet/lint-staged/commit/f82443c)), closes [#62](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/62)
> 
> 
> ### BREAKING CHANGES
> 
> * Node >= 8.6 is required
> 
> ## v7.4.0
> # [7.4.0](http://git+https/github.com/okonet/lint-staged/compare/v7.3.0...v7.4.0) (2018-10-29)
> 
> 
> ### Features
></table> ... (truncated)
</details>
<details>
<summary>Commits</summary>

- [`5e165a3`](okonet/lint-staged@5e165a3) Merge pull request [#513](https://github-redirect.dependabot.com/okonet/lint-staged/issues/513) from okonet/greenkeeper/staged-git-files-1.1.2
- [`07fd087`](okonet/lint-staged@07fd087) Merge branch 'master' into greenkeeper/staged-git-files-1.1.2
- [`00047de`](okonet/lint-staged@00047de) docs: fix typo ([#527](https://github-redirect.dependabot.com/okonet/lint-staged/issues/527))
- [`bedba5a`](okonet/lint-staged@bedba5a) refactor: Use object spread ([#524](https://github-redirect.dependabot.com/okonet/lint-staged/issues/524))
- [`225a904`](okonet/lint-staged@225a904) fix: Allow to use lint-staged on CI ([#523](https://github-redirect.dependabot.com/okonet/lint-staged/issues/523))
- [`af99172`](okonet/lint-staged@af99172) fix(git): Use resolveGitDir in hasPartiallyStagedFiles ([#520](https://github-redirect.dependabot.com/okonet/lint-staged/issues/520))
- [`da42f8a`](okonet/lint-staged@da42f8a) fix(git): Use resolveGitDir to resolve to .git for git commands ([#518](https://github-redirect.dependabot.com/okonet/lint-staged/issues/518))
- [`c4e8a2d`](okonet/lint-staged@c4e8a2d) chore(package): update lockfile yarn.lock
- [`ce434d3`](okonet/lint-staged@ce434d3) fix(package): update staged-git-files to version 1.1.2
- [`592486f`](okonet/lint-staged@592486f) docs: Update readme to include info about partially staged files support
- Additional commits viewable in [compare view](okonet/lint-staged@v7.3.0...v8.0.4)
</details>
<br />

[![Dependabot compatibility score](https://api.dependabot.com/badges/compatibility_score?dependency-name=lint-staged&package-manager=npm_and_yarn&previous-version=7.3.0&new-version=8.0.4)](https://dependabot.com/compatibility-score.html?dependency-name=lint-staged&package-manager=npm_and_yarn&previous-version=7.3.0&new-version=8.0.4)

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting `@dependabot rebase`.

---

<details>
<summary>Dependabot commands and options</summary>
<br />

You can trigger Dependabot actions by commenting on this PR:
- `@dependabot rebase` will rebase this PR
- `@dependabot recreate` will recreate this PR, overwriting any edits that have been made to it
- `@dependabot merge` will merge this PR after your CI passes on it
- `@dependabot cancel merge` will cancel a previously requested merge
- `@dependabot reopen` will reopen this PR if it is closed
- `@dependabot ignore this [patch|minor|major] version` will close this PR and stop Dependabot creating any more for this minor/major version (unless you reopen the PR or upgrade to it yourself)
- `@dependabot ignore this dependency` will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
- `@dependabot use these labels` will set the current labels as the default for future PRs for this repo and language
- `@dependabot use these reviewers` will set the current reviewers as the default for future PRs for this repo and language
- `@dependabot use these assignees` will set the current assignees as the default for future PRs for this repo and language
- `@dependabot use this milestone` will set the current milestone as the default for future PRs for this repo and language
- `@dependabot badge me` will comment on this PR with code to add a "Dependabot enabled" badge to your readme

Additionally, you can set the following in your Dependabot [dashboard](https://app.dependabot.com):
- Update frequency (including time of day and day of week)
- Automerge options (never/patch/minor, and dev/runtime dependencies)
- Pull request limits (per update run and/or open at any time)
- Out-of-range updates (receive only lockfile updates, if desired)
- Security updates (receive only security updates, if desired)

Finally, you can contact us by mentioning @dependabot.

</details>

fmiras added a commit to decentraland/cli that referenced this pull request Nov 20, 2018

chore(deps-dev): bump lint-staged from 7.3.0 to 8.0.5 (#282)
Bumps [lint-staged](https://github.com/okonet/lint-staged) from 7.3.0 to 8.0.5.
<details>
<summary>Release notes</summary>

*Sourced from [lint-staged's releases](https://github.com/okonet/lint-staged/releases).*

> ## v8.0.5
> ## [8.0.5](http://git+https/github.com/okonet/lint-staged/compare/v8.0.4...v8.0.5) (2018-11-17)
> 
> 
> ### Bug Fixes
> 
> * Use listr-update-renderer from npm ([#542](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/542)) ([503110d](http://git+https/github.com/okonet/lint-staged/commit/503110d)), closes [#533](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/533)
> 
> ## v8.0.4
> ## [8.0.4](http://git+https/github.com/okonet/lint-staged/compare/v8.0.3...v8.0.4) (2018-10-31)
> 
> 
> ### Bug Fixes
> 
> * **package:** update staged-git-files to version 1.1.2 ([ce434d3](http://git+https/github.com/okonet/lint-staged/commit/ce434d3))
> 
> ## v8.0.3
> ## [8.0.3](http://git+https/github.com/okonet/lint-staged/compare/v8.0.2...v8.0.3) (2018-10-30)
> 
> 
> ### Bug Fixes
> 
> * Allow to use lint-staged on CI ([#523](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/523)) ([225a904](http://git+https/github.com/okonet/lint-staged/commit/225a904))
> 
> ## v8.0.2
> ## [8.0.2](http://git+https/github.com/okonet/lint-staged/compare/v8.0.1...v8.0.2) (2018-10-29)
> 
> 
> ### Bug Fixes
> 
> * **git:** Use resolveGitDir in hasPartiallyStagedFiles ([#520](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/520)) ([af99172](http://git+https/github.com/okonet/lint-staged/commit/af99172)), closes [#514](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/514)
> 
> ## v8.0.1
> ## [8.0.1](http://git+https/github.com/okonet/lint-staged/compare/v8.0.0...v8.0.1) (2018-10-29)
> 
> 
> ### Bug Fixes
> 
> * **git:** Use resolveGitDir to resolve to .git for git commands ([#518](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/518)) ([da42f8a](http://git+https/github.com/okonet/lint-staged/commit/da42f8a)), closes [#514](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/514)
> 
> ## v8.0.0
> # [8.0.0](http://git+https/github.com/okonet/lint-staged/compare/v7.3.0...v8.0.0) (2018-10-29)
> 
> 
> ### Features
> 
> * Add support for partially staged files ([#75](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/75)) ([f82443c](http://git+https/github.com/okonet/lint-staged/commit/f82443c)), closes [#62](http://git+https/github-redirect.dependabot.com/okonet/lint-staged/issues/62)
> 
> 
> ### BREAKING CHANGES
></table> ... (truncated)
</details>
<details>
<summary>Commits</summary>

- [`503110d`](okonet/lint-staged@503110d) fix: Use listr-update-renderer from npm ([#542](https://github-redirect.dependabot.com/okonet/lint-staged/issues/542))
- [`6f6c08d`](okonet/lint-staged@6f6c08d) docs(readme): refine prettier examples ([#541](https://github-redirect.dependabot.com/okonet/lint-staged/issues/541))
- [`5e165a3`](okonet/lint-staged@5e165a3) Merge pull request [#513](https://github-redirect.dependabot.com/okonet/lint-staged/issues/513) from okonet/greenkeeper/staged-git-files-1.1.2
- [`07fd087`](okonet/lint-staged@07fd087) Merge branch 'master' into greenkeeper/staged-git-files-1.1.2
- [`00047de`](okonet/lint-staged@00047de) docs: fix typo ([#527](https://github-redirect.dependabot.com/okonet/lint-staged/issues/527))
- [`bedba5a`](okonet/lint-staged@bedba5a) refactor: Use object spread ([#524](https://github-redirect.dependabot.com/okonet/lint-staged/issues/524))
- [`225a904`](okonet/lint-staged@225a904) fix: Allow to use lint-staged on CI ([#523](https://github-redirect.dependabot.com/okonet/lint-staged/issues/523))
- [`af99172`](okonet/lint-staged@af99172) fix(git): Use resolveGitDir in hasPartiallyStagedFiles ([#520](https://github-redirect.dependabot.com/okonet/lint-staged/issues/520))
- [`da42f8a`](okonet/lint-staged@da42f8a) fix(git): Use resolveGitDir to resolve to .git for git commands ([#518](https://github-redirect.dependabot.com/okonet/lint-staged/issues/518))
- [`c4e8a2d`](okonet/lint-staged@c4e8a2d) chore(package): update lockfile yarn.lock
- Additional commits viewable in [compare view](okonet/lint-staged@v7.3.0...v8.0.5)
</details>
<br />

[![Dependabot compatibility score](https://api.dependabot.com/badges/compatibility_score?dependency-name=lint-staged&package-manager=npm_and_yarn&previous-version=7.3.0&new-version=8.0.5)](https://dependabot.com/compatibility-score.html?dependency-name=lint-staged&package-manager=npm_and_yarn&previous-version=7.3.0&new-version=8.0.5)

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting `@dependabot rebase`.

---

**Note:** This repo was added to Dependabot recently, so you'll receive a maximum of 5 PRs for your first few update runs. Once an update run creates fewer than 5 PRs we'll remove that limit.

You can always request more updates by clicking `Bump now` in your [Dependabot dashboard](https://app.dependabot.com).

<details>
<summary>Dependabot commands and options</summary>
<br />

You can trigger Dependabot actions by commenting on this PR:
- `@dependabot rebase` will rebase this PR
- `@dependabot recreate` will recreate this PR, overwriting any edits that have been made to it
- `@dependabot merge` will merge this PR after your CI passes on it
- `@dependabot cancel merge` will cancel a previously requested merge
- `@dependabot reopen` will reopen this PR if it is closed
- `@dependabot ignore this [patch|minor|major] version` will close this PR and stop Dependabot creating any more for this minor/major version (unless you reopen the PR or upgrade to it yourself)
- `@dependabot ignore this dependency` will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
- `@dependabot use these labels` will set the current labels as the default for future PRs for this repo and language
- `@dependabot use these reviewers` will set the current reviewers as the default for future PRs for this repo and language
- `@dependabot use these assignees` will set the current assignees as the default for future PRs for this repo and language
- `@dependabot use this milestone` will set the current milestone as the default for future PRs for this repo and language
- `@dependabot badge me` will comment on this PR with code to add a "Dependabot enabled" badge to your readme

Additionally, you can set the following in your Dependabot [dashboard](https://app.dependabot.com):
- Update frequency (including time of day and day of week)
- Automerge options (never/patch/minor, and dev/runtime dependencies)
- Pull request limits (per update run and/or open at any time)
- Out-of-range updates (receive only lockfile updates, if desired)
- Security updates (receive only security updates, if desired)

Finally, you can contact us by mentioning @dependabot.

</details>

alexjoverm added a commit to alexjoverm/typescript-library-starter that referenced this pull request Nov 21, 2018

Update lint-staged to the latest version 🚀 (#252)
## The devDependency [lint-staged](https://github.com/okonet/lint-staged) was updated from `7.3.0` to `8.0.0`.
This version is **not covered** by your **current version range**.

If you don’t accept this pull request, your project will work just like it did before. However, you might be missing out on a bunch of new features, fixes and/or performance improvements from the dependency update.

---

<details>
<summary>Release Notes for v8.0.0</summary>

<h1><a href="http://git+https/github.com/okonet/lint-staged/compare/v7.3.0...v8.0.0" rel="nofollow">8.0.0</a> (2018-10-29)</h1>
<h3>Features</h3>
<ul>
<li>Add support for partially staged files (<a href="http://git+https/github.com/okonet/lint-staged/issues/75" rel="nofollow">#75</a>) (<a href="http://git+https/github.com/okonet/lint-staged/commit/f82443c" rel="nofollow">f82443c</a>), closes <a href="http://git+https/github.com/okonet/lint-staged/issues/62" rel="nofollow">#62</a></li>
</ul>
<h3>BREAKING CHANGES</h3>
<ul>
<li>Node &gt;= 8.6 is required</li>
</ul>
</details>

<details>
<summary>Commits</summary>
<p>The new version differs by 5 commits.</p>
<ul>
<li><a href="https://urls.greenkeeper.io/okonet/lint-staged/commit/f82443c7f7b147aae11e65a797b280ce375c8515"><code>f82443c</code></a> <code>feat: Add support for partially staged files (#75)</code></li>
<li><a href="https://urls.greenkeeper.io/okonet/lint-staged/commit/e6a6ec66af26a4fa505279fac937f076687777e7"><code>e6a6ec6</code></a> <code>chore: upgrade to jest 23 (#507)</code></li>
<li><a href="https://urls.greenkeeper.io/okonet/lint-staged/commit/f05ada6c8f5190999df1ac036fcc647dc9ca624e"><code>f05ada6</code></a> <code>docs: Add an example for type checking with flow (#502)</code></li>
<li><a href="https://urls.greenkeeper.io/okonet/lint-staged/commit/bcd0af4467a6da98ab4f115f5a0b987030e7c93c"><code>bcd0af4</code></a> <code>docs: Add SurviveJS link</code></li>
<li><a href="https://urls.greenkeeper.io/okonet/lint-staged/commit/d782fa199855ffac533b8dc8822e01d3fee4673a"><code>d782fa1</code></a> <code>docs: Update documentation for husky 1.0 (#496)</code></li>
</ul>
<p>See the <a href="https://urls.greenkeeper.io/okonet/lint-staged/compare/d386c802b42f8e374090b1f9c58e4b60531d30ff...f82443c7f7b147aae11e65a797b280ce375c8515">full diff</a></p>
</details>

<details>
  <summary>FAQ and help</summary>

  There is a collection of [frequently asked questions](https://greenkeeper.io/faq.html). If those don’t help, you can always [ask the humans behind Greenkeeper](https://github.com/greenkeeperio/greenkeeper/issues/new).
</details>

---


Your [Greenkeeper](https://greenkeeper.io) bot 🌴

abernix added a commit to apollographql/apollo-server that referenced this pull request Nov 22, 2018

chore(deps): update dependency lint-staged to v8 (#1986)
This PR contains the following updates:

| Package | Type | Update | Change | References |
|---|---|---|---|---|
| lint-staged | devDependencies | major | `7.3.0` -> `8.1.0` | [source](https://renovatebot.com/gh/okonet/lint-staged) |

---

### Release Notes

<details>
<summary>okonet/lint-staged</summary>

### [`v8.1.0`](https://renovatebot.com/gh/okonet/lint-staged/releases/v8.1.0)

[Compare Source](https://renovatebot.com/gh/okonet/lint-staged/compare/v8.0.5...v8.1.0)

### [8.1.0](http://git+https/github.com/okonet/lint-staged/compare/v8.0.5...v8.1.0) (2018-11-21)

##### Features

-   Add `relative` option to allow passing relative paths to linters ([#&#8203;534](http://git+https/github.com/okonet/lint-staged/issues/534)) ([fcb774b](http://git+https/github.com/okonet/lint-staged/commit/fcb774b))

### [`v8.0.5`](https://renovatebot.com/gh/okonet/lint-staged/releases/v8.0.5)

[Compare Source](https://renovatebot.com/gh/okonet/lint-staged/compare/v8.0.4...v8.0.5)

#### [8.0.5](http://git+https/github.com/okonet/lint-staged/compare/v8.0.4...v8.0.5) (2018-11-17)

##### Bug Fixes

-   Use listr-update-renderer from npm ([#&#8203;542](http://git+https/github.com/okonet/lint-staged/issues/542)) ([503110d](http://git+https/github.com/okonet/lint-staged/commit/503110d)), closes [#&#8203;533](http://git+https/github.com/okonet/lint-staged/issues/533)

### [`v8.0.4`](https://renovatebot.com/gh/okonet/lint-staged/releases/v8.0.4)

[Compare Source](https://renovatebot.com/gh/okonet/lint-staged/compare/v8.0.3...v8.0.4)

#### [8.0.4](http://git+https/github.com/okonet/lint-staged/compare/v8.0.3...v8.0.4) (2018-10-31)

##### Bug Fixes

-   **package:** update staged-git-files to version 1.1.2 ([ce434d3](http://git+https/github.com/okonet/lint-staged/commit/ce434d3))

### [`v8.0.3`](https://renovatebot.com/gh/okonet/lint-staged/releases/v8.0.3)

[Compare Source](https://renovatebot.com/gh/okonet/lint-staged/compare/v8.0.2...v8.0.3)

#### [8.0.3](http://git+https/github.com/okonet/lint-staged/compare/v8.0.2...v8.0.3) (2018-10-30)

##### Bug Fixes

-   Allow to use lint-staged on CI ([#&#8203;523](http://git+https/github.com/okonet/lint-staged/issues/523)) ([225a904](http://git+https/github.com/okonet/lint-staged/commit/225a904))

### [`v8.0.2`](https://renovatebot.com/gh/okonet/lint-staged/releases/v8.0.2)

[Compare Source](https://renovatebot.com/gh/okonet/lint-staged/compare/v8.0.1...v8.0.2)

#### [8.0.2](http://git+https/github.com/okonet/lint-staged/compare/v8.0.1...v8.0.2) (2018-10-29)

##### Bug Fixes

-   **git:** Use resolveGitDir in hasPartiallyStagedFiles ([#&#8203;520](http://git+https/github.com/okonet/lint-staged/issues/520)) ([af99172](http://git+https/github.com/okonet/lint-staged/commit/af99172)), closes [#&#8203;514](http://git+https/github.com/okonet/lint-staged/issues/514)

### [`v8.0.1`](https://renovatebot.com/gh/okonet/lint-staged/releases/v8.0.1)

[Compare Source](https://renovatebot.com/gh/okonet/lint-staged/compare/v8.0.0...v8.0.1)

#### [8.0.1](http://git+https/github.com/okonet/lint-staged/compare/v8.0.0...v8.0.1) (2018-10-29)

##### Bug Fixes

-   **git:** Use resolveGitDir to resolve to .git for git commands ([#&#8203;518](http://git+https/github.com/okonet/lint-staged/issues/518)) ([da42f8a](http://git+https/github.com/okonet/lint-staged/commit/da42f8a)), closes [#&#8203;514](http://git+https/github.com/okonet/lint-staged/issues/514)

### [`v8.0.0`](https://renovatebot.com/gh/okonet/lint-staged/releases/v8.0.0)

[Compare Source](https://renovatebot.com/gh/okonet/lint-staged/compare/v7.3.0...v8.0.0)

### [8.0.0](http://git+https/github.com/okonet/lint-staged/compare/v7.3.0...v8.0.0) (2018-10-29)

##### Features

-   Add support for partially staged files ([#&#8203;75](http://git+https/github.com/okonet/lint-staged/issues/75)) ([f82443c](http://git+https/github.com/okonet/lint-staged/commit/f82443c)), closes [#&#8203;62](http://git+https/github.com/okonet/lint-staged/issues/62)

##### BREAKING CHANGES

-   Node >= 8.6 is required

</details>

---

### Renovate configuration

📅 **Schedule**: "after 6pm every weekday,before 5am every weekday" in timezone America/Los_Angeles.

🚦 **Automerge**: Disabled by config. Please merge this manually once you are satisfied.

♻️ **Rebasing**: Whenever PR is stale, or if you modify the PR title to begin with "`rebase!`".

🔕 **Ignore**: Close this PR and you won't be reminded about this update again.

---

This PR has been generated by [Renovate Bot](https://renovatebot.com/gh/marketplace/renovate). View repository job log [here](https://renovatebot.com/dashboard#apollographql/apollo-server).

abernix added a commit to apollographql/apollo-tooling that referenced this pull request Dec 3, 2018

chore(deps): update dependency lint-staged to v8 (#784)
This PR contains the following updates:

| Package | Type | Update | Change | References |
|---|---|---|---|---|
| lint-staged | devDependencies | major | `7.3.0` -> `8.1.0` | [source](https://renovatebot.com/gh/okonet/lint-staged) |

---

### Release Notes

<details>
<summary>okonet/lint-staged</summary>

### [`v8.1.0`](https://renovatebot.com/gh/okonet/lint-staged/releases/v8.1.0)

[Compare Source](https://renovatebot.com/gh/okonet/lint-staged/compare/v8.0.5...v8.1.0)

### [8.1.0](http://git+https/github.com/okonet/lint-staged/compare/v8.0.5...v8.1.0) (2018-11-21)

##### Features

-   Add `relative` option to allow passing relative paths to linters ([#&#8203;534](http://git+https/github.com/okonet/lint-staged/issues/534)) ([fcb774b](http://git+https/github.com/okonet/lint-staged/commit/fcb774b))

### [`v8.0.5`](https://renovatebot.com/gh/okonet/lint-staged/releases/v8.0.5)

[Compare Source](https://renovatebot.com/gh/okonet/lint-staged/compare/v8.0.4...v8.0.5)

#### [8.0.5](http://git+https/github.com/okonet/lint-staged/compare/v8.0.4...v8.0.5) (2018-11-17)

##### Bug Fixes

-   Use listr-update-renderer from npm ([#&#8203;542](http://git+https/github.com/okonet/lint-staged/issues/542)) ([503110d](http://git+https/github.com/okonet/lint-staged/commit/503110d)), closes [#&#8203;533](http://git+https/github.com/okonet/lint-staged/issues/533)

### [`v8.0.4`](https://renovatebot.com/gh/okonet/lint-staged/releases/v8.0.4)

[Compare Source](https://renovatebot.com/gh/okonet/lint-staged/compare/v8.0.3...v8.0.4)

#### [8.0.4](http://git+https/github.com/okonet/lint-staged/compare/v8.0.3...v8.0.4) (2018-10-31)

##### Bug Fixes

-   **package:** update staged-git-files to version 1.1.2 ([ce434d3](http://git+https/github.com/okonet/lint-staged/commit/ce434d3))

### [`v8.0.3`](https://renovatebot.com/gh/okonet/lint-staged/releases/v8.0.3)

[Compare Source](https://renovatebot.com/gh/okonet/lint-staged/compare/v8.0.2...v8.0.3)

#### [8.0.3](http://git+https/github.com/okonet/lint-staged/compare/v8.0.2...v8.0.3) (2018-10-30)

##### Bug Fixes

-   Allow to use lint-staged on CI ([#&#8203;523](http://git+https/github.com/okonet/lint-staged/issues/523)) ([225a904](http://git+https/github.com/okonet/lint-staged/commit/225a904))

### [`v8.0.2`](https://renovatebot.com/gh/okonet/lint-staged/releases/v8.0.2)

[Compare Source](https://renovatebot.com/gh/okonet/lint-staged/compare/v8.0.1...v8.0.2)

#### [8.0.2](http://git+https/github.com/okonet/lint-staged/compare/v8.0.1...v8.0.2) (2018-10-29)

##### Bug Fixes

-   **git:** Use resolveGitDir in hasPartiallyStagedFiles ([#&#8203;520](http://git+https/github.com/okonet/lint-staged/issues/520)) ([af99172](http://git+https/github.com/okonet/lint-staged/commit/af99172)), closes [#&#8203;514](http://git+https/github.com/okonet/lint-staged/issues/514)

### [`v8.0.1`](https://renovatebot.com/gh/okonet/lint-staged/releases/v8.0.1)

[Compare Source](https://renovatebot.com/gh/okonet/lint-staged/compare/v8.0.0...v8.0.1)

#### [8.0.1](http://git+https/github.com/okonet/lint-staged/compare/v8.0.0...v8.0.1) (2018-10-29)

##### Bug Fixes

-   **git:** Use resolveGitDir to resolve to .git for git commands ([#&#8203;518](http://git+https/github.com/okonet/lint-staged/issues/518)) ([da42f8a](http://git+https/github.com/okonet/lint-staged/commit/da42f8a)), closes [#&#8203;514](http://git+https/github.com/okonet/lint-staged/issues/514)

### [`v8.0.0`](https://renovatebot.com/gh/okonet/lint-staged/releases/v8.0.0)

[Compare Source](https://renovatebot.com/gh/okonet/lint-staged/compare/v7.3.0...v8.0.0)

### [8.0.0](http://git+https/github.com/okonet/lint-staged/compare/v7.3.0...v8.0.0) (2018-10-29)

##### Features

-   Add support for partially staged files ([#&#8203;75](http://git+https/github.com/okonet/lint-staged/issues/75)) ([f82443c](http://git+https/github.com/okonet/lint-staged/commit/f82443c)), closes [#&#8203;62](http://git+https/github.com/okonet/lint-staged/issues/62)

##### BREAKING CHANGES

-   Node >= 8.6 is required

</details>

---

### Renovate configuration

📅 **Schedule**: "after 6pm every weekday,before 5am every weekday" in timezone America/Los_Angeles.

🚦 **Automerge**: Disabled by config. Please merge this manually once you are satisfied.

♻️ **Rebasing**: Whenever PR is stale, or if you modify the PR title to begin with "`rebase!`".

🔕 **Ignore**: Close this PR and you won't be reminded about this update again.

---

This PR has been generated by [Renovate Bot](https://renovatebot.com/gh/marketplace/renovate). View repository job log [here](https://renovatebot.com/dashboard#apollographql/apollo-tooling).
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.